
var model = avalon.define({
	$id: 'view',
	data: {}
});
/**自定义filter 用法：{{model.attr | isHead}}*/
avalon.filters.YesOrNo = function(str) {
	return {1: "是",0:"否"}[str];
}
avalon.filters.vueMenuHidden = function(str) {
	return {true: "是",false:"否"}[str];
}
var THISPAGE = {
	_init: function() {
		var self = this;
		self.api = frameElement.api;
		// 接收id
		self.id = self.api.data.id;
		self._render();
		self._bindEvent();
	},
	_render: function() {
		var self = this;
		self._getInfo();
	},
	_bindEvent: function() {
		var self = this;
		// 初始化按钮 及 绑定事件
		self.api.button( {
			name: "关闭"
		});
	},
	_getInfo: function() {
		var self = this;
		Public.ajaxGet("/author/getDetail", {
			id: self.id
		}, function(res) {
			if (res.successed) {
				model.data = res.returnValue;
			} else {
				parent.Public.tips({
					type: 1,
					content: res.errorDesc
				});
			}
		});
	}
};
THISPAGE._init();