var model = avalon.define({
	$id: 'edit',
	data: {
		'id': "",
		'systemName': "",
		'remark': "",
		'isEnable': 0
	}
});

var THISPAGE = {
	_init: function() {
		var self = this;
		self.api = frameElement.api;
		// 接收id
		self.id = self.api.data.id;
		self._render();
		self._bindEvent();
	},
	_render: function() {
		var self = this;
		self._validator();
		self._getInfo();
		$(".ui-datepicker-input").datepicker();
	},
	_bindEvent: function() {
		var self = this;
		// 初始化按钮 及 绑定事件
		// 
		self.api.button({
			id: "saveAndNew",
			focus: !0,
			name: "<i class='fa fa-save mrb'></i> 保存",
			callback: function() {
				$("#base_form").trigger("validate");
				return false
			}
		}, {
			name: "关闭"
		});
	},
	_getInfo: function() {
		var self = this;
		Public.ajaxGet("/system/getDetail", {
			id: self.id
		}, function(res) {
			if (res.successed) {
//				avalon.mix(model.data, res.returnValue);
				model.data["id"]=res.returnValue.id;
				model.data["systemName"]=res.returnValue.systemName;
				model.data["remark"]=res.returnValue.remark;
				model.data["isEnable"]=res.returnValue.isEnable;	

			} else {
				parent.Public.tips({
					type: 1,
					content: res.errorDesc
				});
			}
		});

	},
	_updateData: function() {
		var self = this;
		Public.ajaxPut("/system/update", model.data.$model, function(res) {
			if (res.successed) {
				// 成功提示框
				parent.parent.Public.tips({
					content: "修改成功！"
				});

				// 调用index中_reloadData 重新加载数据
				parent.THISPAGE._reloadData();
				// 关闭模态框
				self.api.close();

			} else {
				parent.parent.Public.tips({
					type: 1,
					content: "修改失败！" + res.errorDesc
				});
			}
		});
	},
	_validator: function() {
		var self = this;
		$("#base_form").validator({

			valid: function() {
				self._updateData();
			},
			ignore: ":hidden",
			theme: "yellow_bottom",
			timely: 1,
			stopOnError: true
		});
	}
};

THISPAGE._init();