var model = avalon.define({
	$id: 'add',
	data: {
		'mobile': "",
		'username':"",
		'name': "",
		'password': "",
		'nickName': "",
		'sex': "男",
		'email': "",
		'remark': "",
		'isEnable': 0
	},
	password:'',
	rePassword:''
});


var THISPAGE = {
	_init: function() {
		var self = this;
		self.api = frameElement.api;
		self._render();
		self._bindEvent();
	},
	_render: function() {
		var self = this;
		self._validator();

	},
	_bindEvent: function() {
		var self = this;
		// 初始化按钮 及 绑定事件
		self.api.button({
			id: "saveAndNew",
			focus: !0,
			name: "<i class='fa fa-save mrb'></i> 保存",
			callback: function() {
				$("#base_form").trigger("validate");
				return false;
			}
		}, {
			name: "关闭"
		});
	},
	_addData: function() {
		var self = this;
		model.data.password=md5(model.password);
		Public.ajaxPost("/user/add", model.data.$model, function(res) {
			if (res.successed) {
				// 成功提示框
				parent.parent.Public.tips({
					content: "成功！"
				});

				// 调用index中_reloadData 重新加载数据
				parent.THISPAGE._reloadData();
				// 关闭模态框
				self.api.close();

			} else {
				parent.parent.Public.tips({
					type: 1,
					content: "失败！" + res.errorDesc
				});
			}
		});
	},
	_validator: function() {
		var self = this;
		$("#base_form").validator({

			valid: function() {
				self._addData();
			},
			ignore: ":hidden",
			theme: "yellow_bottom",
			timely: 1,
			stopOnError: true
		});
	}
};


THISPAGE._init();